Skip to main content
GET
/
api
/
v1
/
sonar
/
phishing-reports
/
{id}
Get phishing report by ID
curl --request GET \
  --url https://api.ocean.security/api/v1/sonar/phishing-reports/{id} \
  --header 'X-Api-Key: <api-key>'
{
  "results": {
    "bcc": [
      "<string>"
    ],
    "cc": [
      "<string>"
    ],
    "email_content_url": "<string>",
    "id": "<string>",
    "reasoning": "<string>",
    "report_date": "<string>",
    "reporter": "<string>",
    "response_content_url": "<string>",
    "sender": "<string>",
    "subject": "<string>",
    "to": [
      "<string>"
    ]
  },
  "status": 123
}

Authorizations

X-Api-Key
string
header
required

API key for authentication

Headers

X-Api-Key
string
required

Authentication API Key

Path Parameters

id
string
required

Unique identifier of the phishing report to retrieve

Response

OK

results
object
status
integer